List teams
curl --request GET \
--url https://service.abundly.ai/workspaceapi/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.abundly.ai/workspaceapi/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.abundly.ai/workspaceapi/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "<string>",
"teamsEnabled": true,
"teams": [
{
"id": "<string>",
"customerId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"monthlyCreditLimit": 123,
"capabilityAdminSettings": {
"capabilities": {},
"defaultMode": "<string>",
"allowUserMcpServers": true,
"defaultCreditDetails": true,
"hideUnavailableCapabilities": true
},
"documentWriteAccess": {
"humanPolicy": "<string>",
"agentPolicy": "<string>"
},
"notificationSettings": {},
"members": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
List teams
All teams in the workspace. Payload fields use the internal name for teams, so a team id appears as groupId.
GET
/
workspaceapi
/
teams
List teams
Authorizations
Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST, PUT, PATCH and DELETE endpoints the Workspace write API scope.
Query Parameters
If true, include team members (with role) on each team. Defaults to false.
Only teams with exactly this name, ignoring case.
Only teams with this tag.

